petsc-3.4.2 2013-07-02

# MatGetDM

Gets the DM defining the data layout of the matrix

### Synopsis

    #include "petscdm.h"
    PetscErrorCode MatGetDM(Mat A, DM *dm)

Not collective

### Input Parameter

A - The Mat

### Output Parameter

dm - The DM

### See Also

MatSetDM(), DMCreateMatrix(), DMSetMatType()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages